#include <balancer/client/experimental/client.h>
#include <balancer/client/experimental/util/requester_utils.h>

int main(int /*argc*/, char** /*argv*/) {
    auto request = NHttp::NUtils::BuildRequest("https://httpbin.org/post").Success();
    request.Method = NHttp::EMethod::POST;
    request.Headers.AddHeader("Content-Type", "application/json");
    request.Body.Push(R"({ "some": "json" })");

    auto response = NHttp::NUtils::Send(NHttp::Client(), std::move(request), TDuration::Seconds(5).ToDeadLine()).Success();
    Cout << ToString(response.Body) << Endl;
    return 0;
}
